#ifndef _H_MY_MENU_H_
#define _H_MY_MENU_H_

#include <menu.h>

typedef struct 
{
  char *name;
  char *description;
  void  (*func)(void);
} item_str_t;

typedef struct
{
  MENU *menu;
  WINDOW *win;
  int x;
  int y;
  int w;
  int h;
} menu_t;

menu_t *create_menu( item_str_t *menu, 
		     int x, int y, int w, int h,
		     int cp_fg, int cp_bg, int cp_di );
void destroy_menu( menu_t *menu );


#endif /* _H_MY_MENU_H_ */
